Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.om.formula.functions.errors
Class XFIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      com.ihr.xbrl.om.formula.functions.errors.XFIException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XFIEAmbiguousFilterMemberNetwork, XFIEElementIsNotXbrlConcept, XFIEInvalidConceptQName, XFIEInvalidDimensionQName, XFIEInvalidExplicitDimensionQName, XFIEInvalidTypedDimensionQName, XFIEItemIsNotNumeric, XFIEPeriodIsForever, XFIEPeriodIsNotInstant, XFIEUnrecognisedExplicitDimensionValueQName, XFxbrldfeInvalidDomainMember, XFxfieNodeIsNotXbrlItem

    public abstract class XFIException

extends net.sf.saxon.trans.XPathException

Author:
  Ignacio
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`net.sf.saxon.trans.XPathException.Circularity`

Field Summary
`static java.lang.String` | `XBRLDFE`
`static java.lang.String` | `XBRLDFEPFX`
`static java.lang.String` | `XBRLFIE`
`static java.lang.String` | `XBRLFIEPFX`

Constructor Summary
`XFIException(javax.xml.namespace.QName qError, java.lang.String description)`

Method Summary
`javax.xml.namespace.QName` | `getQNameError()`

Methods inherited from class net.sf.saxon.trans.XPathException
`getAdditionalLocationText, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetLocation, setAdditionalLocationText, setErrorCode, setErrorCodeQName, setErrorObject, setHasBeenReported, setIsGlobalError, setIsStaticError, setIsTypeError, setXPathContext`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XBRLFIE

    public static final java.lang.String XBRLFIE

See Also:
  Constant Field Values

### XBRLFIEPFX

    public static final java.lang.String XBRLFIEPFX

See Also:
  Constant Field Values

### XBRLDFE

    public static final java.lang.String XBRLDFE

See Also:
  Constant Field Values

### XBRLDFEPFX

    public static final java.lang.String XBRLDFEPFX

See Also:
  Constant Field Values

Constructor Detail

### XFIException

    public XFIException(javax.xml.namespace.QName qError,
                        java.lang.String description)

Parameters:
  `message` -

Method Detail

### getQNameError

    public javax.xml.namespace.QName getQNameError()

  Returns:
    QName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD